html, body {
    height: 100%;
    margin: 0;
    padding: 0;
}

#subfooter, #subheader {
	max-width: 480px;
	margin:0 auto;
}

.text-nintendo-theme{
	color:#fb0116!important;
}

.bg-nintendo-theme{
	background-color:#fb0116!important;
}

.bg-nintendo-theme-light{
	background-color:#C83F49!important;
}

.bg-frame {
    background: #1c252c;
    border-radius: 10px;
    position: relative;
}

.bg-light-blue{
    background-color: #007df2;
}

.text-theme {
    color: #00d2d6;
}

.border-theme {
    border-color: #00d2d6;
    border-width: 2px;
}

.btn-theme, .btn-theme:hover, .btn-theme:focus {
    background: linear-gradient(180deg, #f53240, #d9646c);
    color: #fff;
    position: relative;
    transition: .4s;
}

.slick-slide img{
	border-radius:15px;
}

.video-area {
    height: auto;
    width: 100%
}

.video-area video {
    width: 100%!important;
    height: auto!important;
    border-radius: 1rem
}

/*tasks progress*/
.progress-icon {
    font-size: 16px;
    top: -5px;
}

.progress-labels {
    width: 100%;
    display: flex;
    justify-content: space-between;
    top: 40px;
}

.progress-label {
    font-size: 12px;
}

.progress { 
	height: 10px; 
} 

.progress-marks { 
	position: absolute; 
	width: 100%; 
	height: 10px; 
	top: 0; 
} 

.progress-mark { 
	position: absolute; 
	top: 50%; 
	transform: translateY(-50%); 
	width: 10px; 
	height: 100%; 
	background-color: #c7bebe; 
	border-radius: 50%;
}

.modal-95{
    max-width: 95%; 
    max-width: 48rem;
	min-height: 50vh;

}

.history-modal-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 30px;
}

.history-modal-content img {
    width: 140px;
    height: 90px;
    border-radius: .5rem;
    object-fit: fill;
}

.star-rating {
	display: flex; /* Align stars horizontally */
	direction: row; /* Ensure row direction */
	justify-content: flex-start; /* Align items to the left */
}

.star {
	font-size: 2em; /* Size of the stars */
	color: #ccc; /* Light gray for unselected stars */
	cursor: pointer; /* Pointer cursor on hover */
	transition: color 0.2s; /* Smooth color transition */
}

.star.selected,
.star:hover,
.star:hover ~ .star {
	color: gold; /* Highlight color for selected stars */
}

.star.selected {
	color: gold; /* Fill color for selected stars */
}

@keyframes fadeIn {
    from {
        opacity: 0;
        transform: scale(0.8);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes fadeOut {
    from {
        opacity: 1;
        transform: scale(1);
    }
    to {
        opacity: 0;
        transform: scale(0.8);
    }
}

#imageContainer {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 1000;
    opacity: 0; /* Start hidden */
    transition: opacity 0.5s, transform 0.5s;
}

#imageContainer.show {
    display: block;
    animation: fadeIn 0.5s forwards;
}

#imageContainer.hide {
    animation: fadeOut 0.5s forwards;
}

#imageContainer {
    display: none;
    position: fixed;
    top: 30%;
    left: 40%;
    z-index: 1000;
    opacity: 0; /* Start hidden */
    transition: opacity 0.5s, transform 0.5s;
}

#imageContainer.show {
    display: block;
    animation: fadeIn 0.5s forwards;
}

#imageContainer.hide {
    animation: fadeOut 0.5s forwards;
}


.btn-custom{
    position: relative;
}

.btn-custom:active{
    border:none;
}

.btn-custom span{
    position: absolute;
    top:40%;
    left:50%;
    transform: translate(-50%, -50%);
}

.bg-switch{
    background: url("/assets/images/nintendo_switch.png") no-repeat;
    background-position: center;
    background-size: contain;
}

.bg-switch .card{
    background-color: transparent;
    border:none;
}